При обновлении с Joomla 3.0.3 до 3.2.7 происходит ошибка.

  • 13 Ответов
  • 1646 Просмотров

0 Пользователей и 1 Гость просматривают эту тему.

*

prostoy

  • ****
  • 355
  • [+]5 / [-]1
  • Истина где то рядом.
Добрый день!
Стоит  Joomla 3.0.3 при обновлении до версии 3.2.7 (стандартными средствами) происходит ошибка не могу зайти в админ часть и сайт показывает ошибку. Подскажите что мне делать?

*

b2z

  • *****
  • 7449
  • [+]740 / [-]0
  • Разраблю понемногу
А такая ссылка открывается - /administrator/index.php?option=com_installer&view=database ?
Если да, то там можно исправить ошибки базы данных.

Там же можно установить недоустановленные базовые компоненты - /administrator/index.php?option=com_installer&view=discover

*

prostoy

  • ****
  • 355
  • [+]5 / [-]1
  • Истина где то рядом.
Да ваши ссылки открылись. Отсылаю скрин шоты

*

b2z

  • *****
  • 7449
  • [+]740 / [-]0
  • Разраблю понемногу
Сначала на первом скрине жмите "исправить". Когда исправите, на втором скрине жмите "найти", если что-то найдется, то жмите "установить". Потом еще раз проверку базы данных сделайте.

*

prostoy

  • ****
  • 355
  • [+]5 / [-]1
  • Истина где то рядом.
Админка работает а вот сайт нет :-(
Вот ошибка.

*

prostoy

  • ****
  • 355
  • [+]5 / [-]1
  • Истина где то рядом.
Joomla обновил до последней версии


*

prostoy

  • ****
  • 355
  • [+]5 / [-]1
  • Истина где то рядом.
Ошибок нет. Вот скрины. Сайт не работает.

*

prostoy

  • ****
  • 355
  • [+]5 / [-]1
  • Истина где то рядом.
При установки несколько файлов выдали вот предупреждения

*

alixsjr

Доброго времени суток!
Joomla обновил до последней версии
А как обновился то подскажи? Я обновился с 3.1 до 3.2.7 и все пишет  что последняя актуальная версия! Все тоже самое как на скринах
Спойлер
[свернуть]
« Последнее редактирование: 05.12.2016, 11:52:22 от alixsjr »


*

alixsjr

Пакетами обновления.
По запросу "обновление Joomla пакетами" (и похожих) ничего толкового не нашел. может что не так делал.
Но по факту просто залил на ftp с  заменой файлов пакт 3.6.4 в итоге ошибка
Fatal error: Class 'Joomla\Application\AbstractApplication' not found in /var/www/пользователь/data/www/сайт.ru/libraries/joomla/application/base.php on line 23
Может мне сначала надо что то типа 3.2.7 to 3.5? нет? Просто я не могу нигде найти толком про это пакетное обновление, в ручную тоже искал в основном с 1.5 инфа, но тоже ощущение что чего то не хватает...


*

alixsjr

Я вам ссылку дал вообще то. Уточняю https://downloads.joomla.org/cms/joomla3/3-6-4/joomla_3-6-4-stable-update_package-zip?format=zip
По этой ссылки я ходил тоже, меня больше интересует как должен сам процесс происходить начинать с 3.3.0, 3.6.* или какой принцип?

Ну 3.3 встала обалдеть  как все усложнено буду пытаться по порядку...
Да уж так и поставил 3.3.0 потом 3.3.x (последняя) и так далее в общем намучился.
« Последнее редактирование: 05.12.2016, 23:54:03 от alixsjr »